Bulk reorder variants by position
POST
/admin/v1/products/{productId}/variants/reorder
const url = 'https://your-store.example.com/admin/v1/products/example/variants/reorder';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"order":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-store.example.com/admin/v1/products/example/variants/reorder \ --header 'Content-Type: application/json' \ --data '{ "order": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” productId
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
order
required
Array<string>
Example generated
{ "order": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}